package com.bonus.core.pay.common.vo;

import com.bonus.core.account.v3.web.vo.AccOrdBasicsVO;
import com.bonus.core.pay.channel.account.vo.AccPayResultVO;

public class MixPayResultVO {
   private boolean needUpdateTradeChannel;
   private AccPayResultVO accPayResultVO;

   public void fillAccOrdBasicsVo(AccOrdBasicsVO accOrdBasicsVO) {
      if (accOrdBasicsVO != null) {
         this.accPayResultVO = AccPayResultVO.of(accOrdBasicsVO);
      }

   }

   public static MixPayResultVO newDefaultInstance() {
      return (new MixPayResultVO()).setNeedUpdateTradeChannel(false);
   }

   public boolean isNeedUpdateTradeChannel() {
      return this.needUpdateTradeChannel;
   }

   public AccPayResultVO getAccPayResultVO() {
      return this.accPayResultVO;
   }

   public MixPayResultVO setNeedUpdateTradeChannel(final boolean needUpdateTradeChannel) {
      this.needUpdateTradeChannel = needUpdateTradeChannel;
      return this;
   }

   public MixPayResultVO setAccPayResultVO(final AccPayResultVO accPayResultVO) {
      this.accPayResultVO = accPayResultVO;
      return this;
   }

}
